%global pkgname orb

Name:           gap-pkg-%{pkgname}
Version:        4.7.3
Release:        1%{?dist}
Summary:        Methods to enumerate orbits in GAP

# See https://github.com/gap-system/orb/issues/14
License:        GPLv3+
URL:            http://gap-system.github.io/orb/
Source0:        https://github.com/gap-system/%{pkgname}/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

# The AtlasRep dependency is needed for the tests only
BuildRequires:  gap-devel
BuildRequires:  gap-pkg-atlasrep
BuildRequires:  gap-pkg-io

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-io
Requires(post): gap-core%{?_isa}
Requires(postun): gap-core%{?_isa}

%description
This package enables enumerating orbits in various ways from within GAP.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure --with-gaproot=%{_gap_dir} --disable-silent-rules
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a bin doc gap VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/{clean,test}

%check
# Skip the speed test; this is for correctness only
# Skip m22f2d34p231.g and m22f2d34p443520.g; they try to access the Internet
# via AtlasRep.
cd tst
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" avltest.g < /dev/null
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" m22p770.g < /dev/null

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%files
%doc CHANGES README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Jul 24 2015 Jerry James <loganjerry@gmail.com> - 4.7.3-1
- Initial RPM
